package br.com.tcc.safeson.safeson.dialog;

import android.app.DialogFragment;
import android.content.DialogInterface;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;


import br.com.tcc.safeson.safeson.MainActivity;
import br.com.tcc.safeson.safeson.R;
import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;
import io.reactivex.Observable;

public class TipoTrajetoDialog extends DialogFragment {

    public static TipoTrajetoDialog newInstance() {
        return new TipoTrajetoDialog();
    }

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        int style = DialogFragment.STYLE_NORMAL;
        int theme = 0;

        setStyle(style, theme);
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        View v = inflater.inflate(R.layout.fragment_tipo_trajeto, container, false);

        v.findViewById(R.id.dirigindo).setOnClickListener(e -> setTipoTrajeto("Dirigindo", "DRIVING"));
        v.findViewById(R.id.bicicleta).setOnClickListener(e -> setTipoTrajeto("Bicicleta", "CYCLING"));
        v.findViewById(R.id.onibus).setOnClickListener(e -> setTipoTrajeto("Onibus", "TRANSIT"));
        v.findViewById(R.id.andando).setOnClickListener(e -> setTipoTrajeto("Andando", "WALKING"));

        return v;
    }

    private void setTipoTrajeto(String descricao, String tipo) {
        MainActivity.setTipoTrajeto(descricao, tipo);
        this.dismiss();
    }
}