package br.com.tcc.safeson.safeson.models;

import com.google.maps.model.TravelMode;

import java.io.Serializable;

public class TipoTrajeto implements Serializable{
    public String descricao;
    public String modo;

    public TipoTrajeto(String descricao, String modo) {
        this.descricao = descricao;
        this.modo = modo;
    }

    public TravelMode getTravelMode() {
        if (modo.equals("TRANSIT")) return TravelMode.TRANSIT;
        if (modo.equals("DRIVING")) return TravelMode.DRIVING;
        if (modo.equals("CYCLING")) return TravelMode.BICYCLING;
        if (modo.equals("WALKING")) return TravelMode.WALKING;

        return TravelMode.DRIVING;
    }
}
