package br.com.tcc.safeson.safeson.util;

import android.content.Context;
import android.widget.Toast;

import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;




public class ValidateTimeUtil {
    final static String DATE_FORMAT = "MM/dd/yyyy";

    public static boolean validateDateTime(String dateString, String timeString){
        String[] dateParts, timeParts;
        Boolean isValidDate = true, isValidTime = true;
        try {
            DateFormat df = new SimpleDateFormat(DATE_FORMAT);
            df.setLenient(false);
            df.parse(dateString);
        } catch (ParseException e) {
            isValidDate = false;
        }
        timeParts = timeString.split(":");
        if (Integer.parseInt(timeParts[0]) > 23 || Integer.parseInt(timeParts[1]) > 59){
            isValidTime = false;
        }

        return isValidDate && isValidTime;
    }
}
