package br.com.tcc.safeson.safeson.components;

import android.content.Context;
import android.util.Log;

import com.google.android.gms.auth.api.Auth;
import com.google.android.gms.common.api.GoogleApiClient;

public class LogoutComponents {

    private Context currentContext;

    public LogoutComponents(Context currentContext) {
        this.currentContext = currentContext;
    }

    public void performLogout(GoogleApiClient googleApiClient, String currentTag){
        ActivitiesComponents activitiesComponents = new ActivitiesComponents(currentContext);
        Auth.GoogleSignInApi.signOut(googleApiClient).setResultCallback(status -> {
            if (status.isSuccess()){
                activitiesComponents.logInScreen();
            }else {
                Log.e(currentTag, "onResult: " +"Err disconnect" );
            }
        });
    }
}
