package br.com.tcc.safeson.safeson.models;

import com.google.android.gms.maps.model.Marker;

import java.io.Serializable;

public class Coordenada implements Serializable {
    public double latitude;
    public double longitude;
    public String local;

    public Coordenada(double lat, double lon) {
        this.latitude = lat;
        this.longitude = lon;
    }

    public Coordenada(double lat, double lon, String local) {
        this.latitude = lat;
        this.longitude = lon;
        this.local = local;
    }

    public Coordenada(Marker m) {
        this.latitude = m.getPosition().latitude;
        this.longitude = m.getPosition().longitude;
        this.local = m.getPosition().toString();
    }
}
