package br.com.tcc.safeson.safeson.models;

import java.io.Serializable;
import java.util.ArrayList;

public class Grupo implements Serializable {
    public int id;
    public String nome;
    public ArrayList<String> membros;
    public String socialId; // criador

    public Grupo(int id, String nome, ArrayList<String> membros, String socialId) {
        this.id = id;
        this.nome = nome;
        this.membros = membros;
        this.socialId = socialId;
    }

    public Grupo(String nome, ArrayList<String> membros, String socialId) {
        this.nome = nome;
        this.membros = membros;
        this.socialId = socialId;
    }
}
