package br.com.tcc.safeson.safeson.service;

import android.app.IntentService;
import android.app.Notification;
import android.app.NotificationManager;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;

import br.com.tcc.safeson.safeson.activity.PanicoActivity;
import br.com.tcc.safeson.safeson.socket.SocketConnection;

public class PanicoService extends BroadcastReceiver {
    int count = 0;
    long lastClickTime = 0;

    private static final long DOUBLE_CLICK_TIME_DELTA = 1000;//milliseconds

    @Override
    public void onReceive(Context context, Intent intent) {
        if (SocketConnection.myRouteConnection() == null) return;

        long clickTime = System.currentTimeMillis();
        if (clickTime - lastClickTime < DOUBLE_CLICK_TIME_DELTA){
            count++;
        } else {
            count = 0;
        }
        lastClickTime = clickTime;
        if(count > 3){
            count = 0;
            Intent start = new Intent(context, PanicoActivity.class);
            start.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
            context.startActivity(start);
        }
    }
}
